mutation CreateOrder(
  $orderNumber: String!,
  $partnerId: UUID!,
  $orderType: OrderType,
  $orderStatus: OrderStatus
) @auth(level: USER) {
  order_insert(
    data: {
      orderNumber: $orderNumber
      partnerId: $partnerId
      orderType: $orderType
      orderStatus: $orderStatus
    }
  )
}

mutation UpdateOrder(
  $id: UUID!,
  $orderNumber: String,
  $partnerId: UUID,
  $orderType: OrderType,
  $orderStatus: OrderStatus
) @auth(level: USER) {
  order_update(
    id: $id,
    data: {
      orderNumber: $orderNumber
      partnerId: $partnerId
      orderType: $orderType
      orderStatus: $orderStatus
    }
  )
}

mutation DeleteOrder(
  $id: UUID!
) @auth(level: USER) {
  order_delete(id: $id)
}
